Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util
Class PreparedSelectorGenerator.SelectorFunction

    java.lang.Object
      oracle.ifs.core.util.PreparedSelectorGenerator.SelectorFunction

Enclosing class:
  PreparedSelectorGenerator

    public final class PreparedSelectorGenerator.SelectorFunction

extends java.lang.Object

A SelectorFunction holds information about an embedded function in the search or sort conditions.

Constructor Summary
`PreparedSelectorGenerator.SelectorFunction(PreparedSelectorGenerator main, java.lang.String funcName, java.lang.String funcBody)` Constructs a SelectorFunction.

Method Summary
`java.lang.String` | `getFunctionExpression()` Returns the full function epxression.
`java.lang.String` | `resolve()` Resolves a SelectorFunction into a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreparedSelectorGenerator.SelectorFunction

    public PreparedSelectorGenerator.SelectorFunction(PreparedSelectorGenerator main,
                                                      java.lang.String funcName,
                                                      java.lang.String funcBody)

  Constructs a SelectorFunction.

  Parameters:
    `main` - the PreparedSelectorGenerator caller.
    `funcName` - the function name.
    `funcBody` - the function body.

Method Detail

### getFunctionExpression

    public java.lang.String getFunctionExpression()
                                           throws IfsException

  Description copied from class: `PreparedSelectorGenerator.SelectorFunction`
  Returns the full function epxression.

  Returns:
    the function expression
  Throws:
    `IfsException`

### resolve

    public java.lang.String resolve()
                             throws IfsException

  Description copied from class: `PreparedSelectorGenerator.SelectorFunction`
  Resolves a SelectorFunction into a string.

  Throws:
    `IfsException` - if operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD